# setup the current folder for shinyTex

setupShinyTex = function() {
  # copy shinyTexAux.R to the current directory
  special = file.path(find.package("shinyTex"), "special")
  fc =file.copy(file.path(special, "shinyTexAux.R"), ".", overwrite=TRUE)
  if (fc==FALSE) warning("copy of shinyTexAux.R to the current directory failed")
  
  # make www subfolder
  d = file.info("www")
  if (!is.na(d[1,1]) && !d[,"isdir"]) {
    stop("Remove the file 'www' so that the 'www' folder may be created, then try again")
  }
  if (is.na(d[1,1])) {
    md = dir.create("www", showWarnings=FALSE)
    if (md==FALSE) stop("cannot create 'www' subdirectory")
  }
  
  # put shinyTex.css into www
  fc =file.copy(file.path(special, "shinyTex.css"), "www", overwrite=TRUE)
  if (fc==FALSE) warning("copy of shinyTex.css to 'www' failed")
  
  invisible(NULL)
}
